# Uses of Interface
org.eclipse.birt.chart.log.ILogger

Packages that use ILogger
Package
Description
org.eclipse.birt.chart.log
Provides convenience classes for logging user messages, warnings, errors and internally generated exceptions.
org.eclipse.birt.chart.script

## Uses of ILogger in org.eclipse.birt.chart.log

Methods in org.eclipse.birt.chart.log that return ILogger
Modifier and Type
Method
Description
`static ILogger`
Logger.`getLogger(String name)`
Returns the logger by the given name.

## Uses of ILogger in org.eclipse.birt.chart.script

Methods in org.eclipse.birt.chart.script that return ILogger
Modifier and Type
Method
Description
`ILogger`
AbstractScriptContext.`getLogger()`
`ILogger`
IScriptContext.`getLogger()`
Methods in org.eclipse.birt.chart.script with parameters of type ILogger
Modifier and Type
Method
Description
`void`
AbstractScriptContext.`setLogger(ILogger logger)`
Sets associated logger.